summary refs log tree commit diff
path: root/bin/zk-delete-dark-nodes
diff options
context:
space:
mode:
authorFranck Cuny <franck.cuny@gmail.com>2017-02-15 14:14:04 -0800
committerFranck Cuny <franck.cuny@gmail.com>2017-02-15 14:14:04 -0800
commita6400298d0b0e9c28cc0a3e34617a8f682eb633f (patch)
tree5c8946b4fdaa2c604d914d778282d061f7bddc0e /bin/zk-delete-dark-nodes
parent[tmux] and once again, add it back .. (diff)
downloademacs.d-a6400298d0b0e9c28cc0a3e34617a8f682eb633f.tar.gz
[bin] Update a bunch of scripts.
Diffstat (limited to 'bin/zk-delete-dark-nodes')
-rwxr-xr-xbin/zk-delete-dark-nodes12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/zk-delete-dark-nodes b/bin/zk-delete-dark-nodes
new file mode 100755
index 0000000..b5e995e
--- /dev/null
+++ b/bin/zk-delete-dark-nodes
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -x
+set -e
+
+members=$(echo "ls /messaging/distributedlog/EventBus/" | zk-shell msgzookeeper.atla.twitter.com --run-from-stdin)
+
+for m in $members; do
+  if [[ $m =~ ^eventbus_system_loadtest_8_ ]]; then
+    echo "rmr /messaging/distributedlog/EventBus/$m" | zk-shell msgzookeeper.atla.twitter.com --run-from-stdin
+  fi
+done